int tasterPin = 2;    // Taster-Pin 2
int ledPin = 8;       // LED-Pin 8
int ledStatus;        // LED-Status

int tasterStatusActual;    // Speichert aktuellen Taster-Status
int prevTasterStatus;      // Speichert letzten Taster-Status
int debouncedTasterStatus; // Speichert debeounced Taster-Status
int debounceInterval = 10;     // 50ms Intervall
unsigned long lastDebounceTime = 0; // Zeit, wann LED-Status sich geändert hat

void setup( ) {
  pinMode(ledPin, OUTPUT);   // Taster-Pin als Eingang
  pinMode(tasterPin, INPUT); // LED-Pin als Ausgang
}

void loop() {
  tasterStatusActual = digitalRead(tasterPin); // Taster-Status lesen
  unsigned long currentTime = millis();        // Debounce-Zeit lesen
  
  if(tasterStatusActual != prevTasterStatus) lastDebounceTime = currentTime;
  if (currentTime - lastDebounceTime > debounceInterval){
    if (tasterStatusActual != debouncedTasterStatus){
      debouncedTasterStatus = tasterStatusActual;
      // LED Toggeln, wenn Taster-Status gleich HIGH-Pegel
      if (debouncedTasterStatus == HIGH) ledStatus = !ledStatus;
    }
  }
  digitalWrite(ledPin, ledStatus);       // LED ansteuern
  prevTasterStatus = tasterStatusActual; // Letzten Taster-Status sichern
}
