#define echoPin 7 // Echo Pin
#define trigPin 8 // Trigger Pin
#define MIN     0 // Minimal-Entfernung
#define MAX    80 // Maximal-Entfernung

int getPing(int minV, int maxV) {
  long entfernung = 0, zeit = 0;
  digitalWrite(trigPin, LOW);
  delayMicroseconds(3);
  digitalWrite(trigPin, HIGH); // Trigger Impuls 10 µs
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  zeit = pulseIn(echoPin, HIGH); // Die Echo-Zeit messen
  zeit = (zeit/2);               // Die Zeit halbieren
  entfernung = zeit / 29.1;      // Die Zeit in Zentimeter umrechnen
  if((entfernung < minV) or (entfernung > maxV)) entfernung = -1;
  return entfernung;            // Entfernung zurückgeben
}

void setup() {
 Serial.begin(9600);
 pinMode(trigPin, OUTPUT);
 pinMode(echoPin, INPUT);
}

void loop() {
  Serial.println(getPing(MIN, MAX)); 
  delay(50);
}
