byte segmente[10] = { B01111110, // 0
                      B00110000, // 1
                      B01101101, // 2
                      B01111001, // 3
                      B00110011, // 4
                      B01011011, // 5
                      B01011111, // 6
                      B01110000, // 7
                      B01111111, // 8
                      B01111011
                    }; // 9
byte pinArray[] = {2, 3, 4, 5, 6, 7, 8};
byte einerStelle = 12, zehnerStelle = 13;
void ansteuerung(int a) {
  for (int j = 6; j >= 0; j--) // Abfragen der Bits für die Segmente
    digitalWrite(pinArray[6 - j], bitRead(segmente[a], j) == 1 ? LOW : HIGH);
  delay(5); // Notwendige Pause von 5ms
}
void anzeige(int wert) {
  byte einer, zehner;
  zehner = int(wert / 10); // Ziffer der Zehnerstelle berechnen
  einer = wert - zehner * 10; // Ziffer der Einerstelle berechnen
  // Einerstelle aktiv schalten
  digitalWrite(einerStelle, LOW);
  digitalWrite(zehnerStelle, HIGH);
  ansteuerung(einer); // Anforderung der Anzeige der Einerstelle
  // Zehnerstelle aktiv schalten
  digitalWrite(einerStelle, HIGH);
  digitalWrite(zehnerStelle, LOW);
  ansteuerung(zehner); // Anforderung der Anzeige der Zehnerstelle
}
void setup() {
  for (int i = 0; i < 7; i++)
    pinMode(pinArray[i], OUTPUT);
  pinMode(einerStelle, OUTPUT);
  pinMode(zehnerStelle, OUTPUT);
}
void loop() {
  anzeige(43); // Anzuzeigender Wert
}
