#ifndef MYANALOGKEYPAD_H
#define MYANALOGKEYPAD_H
#if ARDUINO < 100
#include <WProgram.h>
#else
#include <Arduino.h>
#endif

#define KEY_NOT_PRESSED '-' // Wird benötigt, wenn keine Taste gedrückt wird
#define KEY_1 '1'
#define KEY_2 '2'
#define KEY_3 '3'
#define KEY_4 '4'
#define KEY_5 '5'
#define KEY_6 '6'
#define KEY_7 '7'
#define KEY_8 '8'
#define KEY_9 '9'
#define KEY_0 '0'
#define KEY_STAR '*'
#define KEY_HASH '#'

class MyAnalogKeyPad{
  public:
    MyAnalogKeyPad(byte analogPin);  // Parametrisierter Konstruktor
    void setDebounceTime(unsigned int debounceTime); // Setzen der Prellzeit
    void setThresholdValue(byte tv); // Setzen der Threshold
    char readKey();                  // Ermittelt die gedrückte Taste auf dem KeyPad
  private:
    byte analogPin;            // Analoger Pin zur Messwertaufnahme
    unsigned int debounceTime; // Private Variable für die Prellzeit
    long lastValue;            // Letzte Zeit der millis-Funktion
    byte threshold;            // Toleranzwert
};
#endif
