#include <Wire.h>
#define I2CBaustein 0x50 // Festlegen der I2C-Zugriffsadresse

void setup(){
  Wire.begin();
  Serial.begin(9600);
  unsigned int speicherAdresse = 0; // Startadresse
  byte wert = 7;                    // Zu speichernder Wert     
  schreibeEEPROM(I2CBaustein, speicherAdresse, wert);            // Schreiben
  Serial.println(leseEEPROM(I2CBaustein, speicherAdresse), HEX); // Lesen 
}

void loop(){/* leer */}

void schreibeEEPROM(int I2CBausteinAdresse, unsigned int speicherAdresse, byte daten){
  Wire.beginTransmission(I2CBausteinAdresse); // Verbindung zu I2C initiieren
  Wire.write((byte)(speicherAdresse >> 8));   // MSB (höherwertiges Byte) senden
  Wire.write((byte)(speicherAdresse & 0xFF)); // LSB (niederwertiges Byte) senden
  Wire.write(daten);                          // Daten-Byte zum Speichern senden
  Wire.endTransmission();                     // Verbindung zu I2C trennen
  delay(5);                                   // Kurze Pause. Äußerst wichtig!!!
}

byte leseEEPROM(int I2CBausteinAdresse, unsigned int speicherAdresse){
  byte datenByte = 0xFF;
  Wire.beginTransmission(I2CBausteinAdresse); // Verbindung zu I2C initiieren
  Wire.write((byte)(speicherAdresse >> 8));   // MSB (höherwertiges Byte) senden
  Wire.write((byte)(speicherAdresse & 0xFF)); // LSB (niederwertiges Byte) senden
  Wire.endTransmission();                     // Verbindung zu I2C trennen
  Wire.requestFrom(I2CBausteinAdresse, 1);    // Anfordern der Daten vom Slave
  if(Wire.available()) datenByte = Wire.read();    // Sind Daten vorhanden?
  return datenByte;                                // Daten-Byte zurückliefern
}

