#include <Wire.h>
#define address  0x20   // I2C Address MCP23017
#define GPIOA    0x12   // Register Address Port A
#define GPIOB    0x13   // Register Address Port B
#define IODIRA   0x00   // I/O-Register Address Port A
#define IODIRB   0x01   // I/O-Register Address Port B
byte inputState = 0x00; // Button-State

void setBits(char bits) {
    Wire.beginTransmission(address);
    Wire.write(GPIOA);  // GPIOA
    Wire.write(bits);   // Set bits
    Wire.endTransmission();
}

void setup() {
  Wire.begin(); // Init I2C bus
  Wire.beginTransmission(address);
  Wire.write(IODIRA); // IODIRA register
  Wire.write(0x00);   // All pins to output
  Wire.endTransmission();
  Wire.beginTransmission(address);
  Wire.write(IODIRB); // IODIRB register
  Wire.write(0xFF);   // All pins to input
  Wire.endTransmission();
  Serial.begin(9600);  // Serial-Monitor
}

void loop() {
  Wire.beginTransmission(address);
  Wire.write(GPIOB);               // GPIOB pointer
  Wire.endTransmission();
  Wire.requestFrom(address, 1);    // Request 1 byte
  inputState = Wire.read();        // Store the byte
  setBits(~inputState);            // Set LEDs
  Serial.println(inputState, BIN); // Print result
  delay(5000);
}


