#include "ArduBotMotor.h"
// Parametrisierter Konstruktor
ArduBotMotor::ArduBotMotor(byte m1_P1, byte m1_P2, byte m2_P1, byte m2_P2){
  motor1_Pin1 = m1_P1; motor1_Pin2 = m1_P2; 
  motor2_Pin1 = m2_P1; motor2_Pin2 = m2_P2;   
  pinMode(motor1_Pin1, OUTPUT); // Als Ausgang programmieren
  pinMode(motor1_Pin2, OUTPUT); // Als Ausgang programmieren
  pinMode(motor2_Pin1, OUTPUT); // Als Ausgang programmieren
  pinMode(motor2_Pin2, OUTPUT); // Als Ausgang programmieren
}

// Methode zum Ansteuern des Motors
void ArduBotMotor::move(Motion mV, int mD){
  moveValue = mV; moveDuration = mD;
  byte m1_1, m1_2, m2_1, m2_2;
  switch(moveValue){
    case FORWARD: // Vorwärts
      m1_1 = LOW; m1_2 = HIGH;    
      m2_1 = LOW; m2_2 = HIGH; break;
    case BACKWARD: // Rückwärts
      m1_1 = HIGH; m1_2 = LOW;    
      m2_1 = HIGH; m2_2 = LOW; break;
    case RIGHT: // Rechts
      m1_1 = HIGH; m1_2 = LOW;    
      m2_1 = LOW;  m2_2 = HIGH; break;
    case LEFT: // Links
      m1_1 = LOW;  m1_2 = HIGH;    
      m2_1 = HIGH; m2_2 = LOW; break;
    case PAUSE: // Pause
      m1_1 = LOW; m1_2 = LOW;    
      m2_1 = LOW; m2_2 = LOW; break;
  }
  digitalWrite(motor1_Pin1, m1_1);
  digitalWrite(motor1_Pin2, m1_2);
  digitalWrite(motor2_Pin1, m2_1);
  digitalWrite(motor2_Pin2, m2_2);
  delay(moveDuration); // Beginn Pause
  digitalWrite(motor1_Pin1, LOW); // Motor stopp
  digitalWrite(motor1_Pin2, LOW); // Motor stopp
  digitalWrite(motor2_Pin1, LOW); // Motor stopp
  digitalWrite(motor2_Pin2, LOW); // Motor stopp
}
