#ifndef ARDUBOTMOTOR_H
#define ARDUBOTMOTOR_H

#include <Arduino.h>

// Bewegungsrichtungen + Pause
enum Motion
{
  FORWARD = 1,
  BACKWARD,
  RIGHT,
  LEFT,
  PAUSE
};

// Drehwinkel in Form von Zeitangaben
// Diese Werte müssen sicher von dir angepasst werden
enum Turn
{
  QUARTER  = 900, // Zeit für 1/4 Drehung
  HALF = 1800,    // Zeit für 1/2 Drehung
  STRAIGHT = 500, // Zeit für 1 Fahrzeuglänge
};

class ArduBotMotor{
  public: 
    ArduBotMotor(byte m1_P1, byte m1_P2, byte m2_P1, byte m2_P2); // Konstruktor
    void move(Motion mV, int mD); // Steuere Motor an
  private:
    byte motor1_Pin1, motor1_Pin2;
    byte motor2_Pin1, motor2_Pin2;
    byte moveValue;
    int moveDuration;
};
#endif
