class Scrollbar {
  // Felder
  PFont myFont; // Font zur Darstellung von Textinformation
  String scrollbarName; // Name der Scrollbar
  int xPos, yPos, scrollbarWidth, scrollbarHeight; // Dimensionsinformationen
    color bgColor; // Hintergrundfarbe
  // Konstruktor
  Scrollbar(String name, int x, int y, int sbW, int sbH, color c) {
    scrollbarName = name;
    xPos = x; 
    yPos = y;
    scrollbarWidth = sbW; 
    scrollbarHeight = sbH;
    bgColor = c;
    myFont = createFont("Courier New", 12, false);
    textFont(myFont, 12);
  }
  // Methoden
  void drawScrollbar(int value) {
    float s = scrollbarWidth / 1024.0; // Faktor für 100er-
    // Markierungen
    float recalcValue = map(value, 0, 1023, 0, scrollbarWidth - 2);
    fill(bgColor); // Hintergrundfarbe setzen
    stroke(255); // Linienfarbe auf weiß
    rect(xPos, yPos, scrollbarWidth, scrollbarHeight); // Rechteck
    // zeichnen
    stroke(255, 0, 0); 
    strokeWeight(2);
    line(xPos + 1 + recalcValue, yPos + 1, 
    xPos + 1 + recalcValue, yPos - 15 + scrollbarHeight);
    strokeWeight(1); // Strichstärke 1 Punkt
    fill(255); // Textfarbe
    text(scrollbarName, xPos, yPos - 5); // Scrollbar-Namen ausgeben
    // Value in der Anzeige löschen
    fill(0); 
    noStroke();
    rect(textWidth(scrollbarName) + 20, yPos - 16, 50, 15);
    fill(255, 0, 0); // Textfarbe
    text(value, xPos + textWidth(scrollbarName) + 1, yPos - 5);
    stroke(255, 255, 0);
    for (int i = 100; i <=1000; i+=100) // Markierungen zeichnen
      line(xPos + 1 + i * s, yPos + scrollbarHeight, xPos + 1 + i * s, 
      yPos + scrollbarHeight - 10);
  }
}

