#define ARRAY_SIZE 12 // Größe für Arrays
int pinArray[ARRAY_SIZE] = {2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13};
boolean pinBlinkArray[ARRAY_SIZE]; // Blink-Array
int pin, level;      // Für Pin-Nummer und Level
char mode;           // Für den digitalen bzw. analogen Modus
int interval = 1000; // Blink-Intervall
unsigned long prev;  // Zeit-Variable
int ledStatus = LOW; // Blink-Status

void setup() {
  Serial.begin(38400);
  for(int i = 0; i < ARRAY_SIZE; i++)
    pinMode(pinArray[i], OUTPUT);
  for(int i = 0; i < ARRAY_SIZE; i++)
    pinBlinkArray[i] = false;
}

void loop() {
  readSerial(); // Aufruf der Auswertung
}

void readSerial() {
  if(Serial.available() > 0) {
    while (Serial.peek() == 'S') {  // Start-Tag
      Serial.read();                // S (Start) vom Serial-Buffer löschen
      pin = Serial.parseInt();      // Pin-Information lesen
      mode = Serial.read();         // D bzw. A vom Serial-Buffer löschen
      level = Serial.parseInt();    // Level lesen
      if(mode == 'D') {
        pinBlinkArray[pin - 2] = false; // Blink-Status löschen
        digitalWrite(pin, level);       // LED-Status setzen
      }
      if(mode == 'A') {
        pinBlinkArray[pin - 2] = false; // Blink-Status löschen
        analogWrite(pin, level);        // LED-Status setzen
      }
      if(mode == 'B')
        pinBlinkArray[pin - 2] = level; // LED-Blink-Status setzen
    }
    while (Serial.available() > 0){ // Serial-Buffer löschen
      Serial.read();
    }
  }
  // Blink-Vorgang
  if((millis() - prev) > interval) {
    prev = millis();
    ledStatus = !ledStatus; // Variable invertieren
    for(int i = 0; i < ARRAY_SIZE; i++) {
      if(pinBlinkArray[i] == true)
        digitalWrite(pinArray[i], ledStatus);  
    }    
  }
}
