#include <avr\interrupt.h>
#include <avr\io.h>
#define PAUSE 500                  // Pausenwert
int ledPin[] = {8, 9, 10, 11};     // LED-Array
int tasterPin = 2;                 // Taster-Pin
int tasterLED = 6;                 // Taster-LED
volatile int tasterLEDState = LOW; // Taster-LED Status

void setup() {
  for(int i = 0; i < 4; i++)
    pinMode(ledPin[i], OUTPUT);
  pinMode(tasterLED, OUTPUT);
  pinMode(tasterPin, INPUT); // Nicht unbedingt notwendig!
  
  sei();                 // Enable Interrupt (Global)
  EIMSK |= (1 << INT0);  // INT0 scharfschalten
  EICRA |= (1 << ISC01); // FALLING aktiviern
}

void loop() {
  for(int i = 0; i < 4; i++) {
    digitalWrite(ledPin[i], HIGH);
    delay(PAUSE); 
    digitalWrite(ledPin[i], LOW);
    delay(PAUSE); 
  }
}

ISR(INT0_vect) {
  tasterLEDState = !tasterLEDState; // Status toggeln
  digitalWrite(tasterLED, tasterLEDState);
}

