#include "ArduBotMotor.h"
// Parametrisierter Konstruktor
ArduBotMotor::ArduBotMotor(byte m1_P1, byte m1_P2, 
                           byte m2_P1, byte m2_P2,
                           byte m1_PWM, byte m2_PWM) {
  motor1_Pin1 = m1_P1; motor1_Pin2 = m1_P2; 
  motor2_Pin1 = m2_P1; motor2_Pin2 = m2_P2;
  motor1_PWM  = m1_PWM; motor2_PWM  = m2_PWM;
  pinMode(motor1_Pin1, OUTPUT); // Als Ausgang programmieren
  pinMode(motor1_Pin2, OUTPUT); // Als Ausgang programmieren
  pinMode(motor2_Pin1, OUTPUT); // Als Ausgang programmieren
  pinMode(motor2_Pin2, OUTPUT); // Als Ausgang programmieren
  analogWrite(motor1_PWM, 255); // Motor 1 maximale Leistung
  analogWrite(motor2_PWM, 255); // Motor 2 maximale Leistung
}

// Methode zum Ansteuern des Motors
void ArduBotMotor::move(Motion mV, int mD) {
  moveValue = mV; moveDuration = mD;
  byte m1_1, m1_2, m2_1, m2_2;
  switch(moveValue) {
    case FORWARD: // Vorwärts
      m1_1 = LOW; m1_2 = HIGH;    
      m2_1 = LOW; m2_2 = HIGH; break;
    case BACKWARD: // Rückwärts
      m1_1 = HIGH; m1_2 = LOW;    
      m2_1 = HIGH; m2_2 = LOW; break;
    case RIGHT: // Rechts
      m1_1 = HIGH; m1_2 = LOW;    
      m2_1 = LOW;  m2_2 = HIGH; break;
    case LEFT: // Links
      m1_1 = LOW;  m1_2 = HIGH;    
      m2_1 = HIGH; m2_2 = LOW; break;
    case PAUSE: // Pause
      m1_1 = LOW; m1_2 = LOW;    
      m2_1 = LOW; m2_2 = LOW; break;
  }
  digitalWrite(motor1_Pin1, m1_1);
  digitalWrite(motor1_Pin2, m1_2);
  digitalWrite(motor2_Pin1, m2_1);
  digitalWrite(motor2_Pin2, m2_2);
  delay(moveDuration); // Beginn Pause
  digitalWrite(motor1_Pin1, LOW); // Motor stopp
  digitalWrite(motor1_Pin2, LOW); // Motor stopp
  digitalWrite(motor2_Pin1, LOW); // Motor stopp
  digitalWrite(motor2_Pin2, LOW); // Motor stopp
}

// Methode zum Ansteuern des Motors über PWM
void ArduBotMotor::pwm(Motor m, byte pwm) {
  switch(m) {
    case M1: // Motor 1
      analogWrite(motor1_PWM, pwm); break;
    case M2: // Motor 2
      analogWrite(motor2_PWM, pwm); break;
  }
}

